.\" Copyright (c) 1992, 1995 Hellmuth Michaelis
.\"
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Hellmuth Michaelis
.\" 4. The name authors may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" @(#)ispcvt.1, 3.20, Last Edit-Date: [Tue Apr  4 12:35:54 1995]
.\"
.Dd April 4, 1995
.Dt ISPCVT 8
.Sh NAME
.Nm ispcvt
.Nd verify if current video driver is pcvt driver
.Sh SYNOPSIS
.Nm ispcvt
.Op Fl c
.Op Fl d Ar device
.Op Fl v
.Sh DESCRIPTION
The
.Nm ispcvt
utility allows the user to check whether the current video driver compiled
into the kernel is a pcvt driver. The major and minor release numbers of
the driver are also checked.
Furthermore
.Nm ispcvt
is also able to print out the values of all the
.Dq Ar PCVT_XXXXXX
compile time options, the driver in the current running kernel was
compiled with.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl d
Specifies a device for which the check is done.
.It Fl v
Specifies being verbose. On success the name and revision is reported, on
failure which comparison failed.
.It Fl c
This options prints out the values of all
.Dq Ar PCVT_XXXXXX
#defines which were given to the compiler at the time the currently running
kernel was compiled. Specifying
.Fl v
with the
.Fl c
option gives a verbose listing of the compile-time options.
.Sh RETURN VALUE
.Bl -tag -width Ds
.Pp
.It Sy 0
driver is pcvt and major and minor numbers match
.It Sy 1
open or ioctl system call failed
.It Sy 2
driver name mismatch
.It Sy 3
name matched, release major number mismatch
.It Sy 4
name & major number matched, release minor number mismatch
.It Sy 5
usage error
.El
.Pp
.Sh BUGS
No known bugs
.Sh SEE ALSO
.Xr pcvt 4
